# TODO:
# - make -gui subpackages (wxWidgets and Qt4 deps)
# - boost autodetection fails ($BOOSTLIBDIR empty), so all boost libs must be passed --with-boost-xxx=xxxx
#
# Conditional build
%bcond_with	verbose	# verbose build (V=1)
%bcond_without	qt	# disable GUI build (Qt4 deps)
%bcond_without	wx	# disable GUI build (wxWigets deps)
#
Summary:	Matroska video utilities
Summary(pl.UTF-8):	Narzędzia do filmów w formacie Matroska
Name:		mkvtoolnix
Version:	5.9.0
Release:	3
License:	GPL v2
Group:		Applications/Multimedia
Source0:	http://www.bunkus.org/videotools/mkvtoolnix/sources/%{name}-%{version}.tar.bz2
# Source0-md5:	033621461ef8eb922fc1366e0a9a6f16
Patch0:		%{name}-init_locales.patch
URL:		http://www.bunkus.org/videotools/mkvtoolnix/
%{?with_qt:BuildRequires:	QtGui-devel}
BuildRequires:	boost-devel >= 1.36
BuildRequires:	bzip2-devel
BuildRequires:	expat-devel
BuildRequires:	flac-devel
BuildRequires:	gettext-devel
BuildRequires:	libebml-devel >= 1.2.0
BuildRequires:	libmagic-devel
BuildRequires:	libmatroska-devel >= 1.1.0
BuildRequires:	libogg-devel
BuildRequires:	libvorbis-devel
BuildRequires:	lzo-devel
BuildRequires:	pcre-cxx-devel
%if %{with qt}
BuildRequires:	pkgconfig
BuildRequires:	qt4-build >= 4.3.3-3
%endif
# required by rake
BuildRequires:	ruby-modules
%{?with_wx:BuildRequires:	wxGTK2-unicode-devel >= 2.6.0}
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Matroska video utilities.

%description -l pl.UTF-8
Narzędzia do filmów w formacie Matroska.

%prep
%setup -q
%patch0 -p1

%build
%configure \
	--docdir=%{_datadir}/%{name} \
	--enable-gui \
	--%{?with_wx:en}%{!?with_wx:dis}able-wxwidgets \
	--%{?with_qt:en}%{!?with_qt:dis}able-qt \
	--with-boost-filesystem=boost_filesystem \
	--with-boost-regex=boost_regex \
	--with-boost-system=boost_system \
	%{?with_qt:--with-moc=/usr/bin/moc-qt4} \
	%{?with_qt:--with-uic=/usr/bin/uic-qt4} \
	%{?with_wx:--with-wx-config=/usr/bin/wx-gtk2-unicode-config} \
	--without-curl

rake %{?with_verbose:V=1}

%install
rm -rf $RPM_BUILD_ROOT

rake install \
	INSTALL="install -cp" \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_bindir}/*
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/guide
%{_datadir}/%{name}/guide/en
%lang(es) %{_datadir}/%{name}/guide/es
%lang(eu) %{_datadir}/%{name}/guide/eu
%lang(zh_CN) %{_datadir}/%{name}/guide/zh_CN
%{_datadir}/mime/packages/mkvtoolnix.xml
%{_desktopdir}/mkvinfo.desktop
%{_desktopdir}/mkvmergeGUI.desktop
%{_iconsdir}/hicolor/*/apps/mkvextract.png
%{_iconsdir}/hicolor/*/apps/mkvinfo.png
%{_iconsdir}/hicolor/*/apps/mkvmerge.png
%{_iconsdir}/hicolor/*/apps/mkvmergeGUI.png
%{_iconsdir}/hicolor/*/apps/mkvpropedit.png
%{_mandir}/man1/*
%lang(ja) %{_mandir}/ja/man1/*
%lang(nl) %{_mandir}/nl/man1/*
%lang(uk) %{_mandir}/uk/man1/*
%lang(zh_CN) %{_mandir}/zh_CN/man1/*
%changelog
* Mon Jul 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mkvtoolnix.git;a=log;h=master

* Mon Jul 08 2013 Jan Rękorajski <baggins@pld-linux.org> b2a9fda
- release 3 (by relup.sh)

* Sun Jul 07 2013 Jan Rękorajski <baggins@pld-linux.org> b1eaa9e
- release 2 (by relup.sh)

* Sun Dec 09 2012 Karol Krenski <charles@pld-linux.org> e2d444b
- up to 5.9.0

* Wed Sep 19 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 0a96a3e
- release 2 (by relup.sh)

* Mon Sep 03 2012 Karol Krenski <charles@pld-linux.org> 1635467
- updated to 5.8.0
- removed outdated -boost_1_5.patch

* Mon Jul 23 2012 Karol Krenski <charles@pld-linux.org> 7b0bbf7
- fixes working with Boost 1.50
- rel. 2

* Tue Jul 10 2012 Karol Krenski <charles@pld-linux.org> da5ff19
- updated to 5.7.0

* Mon Apr 30 2012 Karol Krenski <charles@pld-linux.org> c70ffc8
- updated to 5.5.0
- disabled online update checks (via libcurl)

* Sun Mar 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> f9c6182
- release 3

* Wed Feb 22 2012 Jan Rękorajski <baggins@pld-linux.org> b600675
- rel 2

* Wed Feb 22 2012 Jan Rękorajski <baggins@pld-linux.org> b0ab439
- added Ukrainian man pages

* Thu Feb 16 2012 Paweł Gołaszewski <blues@pld-linux.org> 1950011
- 5.3.0

* Sat Jul 16 2011 Karol Krenski <charles@pld-linux.org> f3f7eea
- updated to 4.9.1

* Sat Jun 18 2011 Jan Rękorajski <baggins@pld-linux.org> 5fe7f25
- 4.8.0

* Mon Apr 25 2011 Karol Krenski <charles@pld-linux.org> d402b7d
- up to 4.7.0

* Tue Apr 05 2011 Jan Rękorajski <baggins@pld-linux.org> 15b4db1
- rel 2
- build system switched to rake
- updated BRs

* Tue Apr 05 2011 Jan Rękorajski <baggins@pld-linux.org> 2f3b602
- 4.6.0

* Sun Feb 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> d277e4f
- release 3

* Tue Nov 23 2010 Jan Rękorajski <baggins@pld-linux.org> 8c7fca7
- rel 2

* Tue Aug 24 2010 Elan Ruusamäe <glen@pld-linux.org> 14fe0e9
- up to 4.2.0

